## bermudasyndrome 0.1.4

=== Makefile ===

# List of possible defines :
# BERMUDA_WIN32  : enable windows directory browsing code
# BERMUDA_POSIX  : enable unix/posix directory browsing code
# BERMUDA_VORBIS : enable playback of digital soundtracks (22 khz mono .ogg files)
# BERMUDA_BLUR   : enable blur rendering effect (use 'b' key to toggle effect on/off)

#DEFINES = -DBERMUDA_WIN32 -DBERMUDA_VORBIS
DEFINES = -DBERMUDA_POSIX -DBERMUDA_VORBIS
VORBIS_LIBS = -lvorbisfile -lvorbis -logg

SDL_CFLAGS = `sdl-config --cflags`
SDL_LIBS = `sdl-config --libs`

CXX = g++
CXXFLAGS = -g -O -Wall $(SDL_CFLAGS) $(DEFINES)

-include Makefile.local

OBJDIR = obj

SRCS = avi_player.cpp bag.cpp decoder.cpp dialogue.cpp file.cpp fs.cpp game.cpp \
	main.cpp mixer.cpp opcodes.cpp parser_dlg.cpp parser_scn.cpp random.cpp \
	resource.cpp saveload.cpp staticres.cpp str.cpp systemstub_sdl.cpp util.cpp \
	win16.cpp

OBJS = $(SRCS:.cpp=.o)
DEPS = $(SRCS:.cpp=.d)

all: $(OBJDIR) bs

bs: $(addprefix $(OBJDIR)/, $(OBJS))
	$(CXX) $(LDFLAGS) -o $@ $^ $(SDL_LIBS) $(VORBIS_LIBS)

$(OBJDIR):
	mkdir $(OBJDIR)

$(OBJDIR)/%.o: %.cpp
	$(CXX) $(CXXFLAGS) -MMD -c $< -o $@

clean:
	rm -f $(OBJDIR)/*.o $(OBJDIR)/*.d

-include $(addprefix $(OBJDIR)/, $(DEPS))

=== debian/changelog ===
bermudasyndrome (0.1.4) unstable; urgency=low

  * Initial release

 -- sakya <sakya_tg@yahoo.it>  Wed,  13 Apr 2012 15:04:44 +0200

=== debian/control ===
Source: bermudasyndrome
Section: user/games
Priority: extra
Maintainer: Paolo Iommarini <sakya_tg@yahoo.it>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libz-dev
Standards-Version: 3.7.3

Package: bermudasyndrome
Architecture: armel
Depends: ${shlibs:Depends}
Description: This project reimplements the engine used in the game Bermuda Syndrome made by Century Interactive and published by BMG in 1995.
 To play the game you need to put the original data files in /home/user/MyDocs/.bermuda
XSBC-Homepage: http://cyxdown.free.fr/bs/
XSBC-Bugtracker: http://cyxdown.free.fr/bs/
XB-Maemo-Display-Name: Bermuda Syndrome
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAAAXNSR0IArs4c6QAAAAlwSFlzAAAu
 IwAALiMBeKU/dgAAAAd0SU1FB9wEDRAZD7lbHxAAAAA3dEVYdENvbW1lbnQASW1hZ2UgUmVzaXpl
 ZCBhdCBodHRwOi8vd3d3LnNocmlua3BpY3R1cmVzLmNvbQqgr00MAAAS+klEQVRo3u3YaY9d52EY
 4Hc779nPufudOzPkcIbkjLjVDmnLksXIkRzLC5TFQeEaLhA07RenrZMPTQO0CAK0RYOm+VAgiGM0
 QQ0hbY3EcW0ZUZygjmQ3kq2FiyhuIoezb3fufu/Zz7v2dwSY52c8AJw4ceLEiRMnTpw4ceLEP1Dw
 y093EBAAKIua2LSkVlBDTCyRJTSoAkokZ6JgSHOslVICIKyEEiVTSgqpTNtkQhAghUQAoZIVlFIp
 hG2ZxLSkFAQbAmhVMmJgDKFUQkitNEAEGsQiGAhkAEJxMtUI6rBFG6elYMXBlu1gXnAWTx3fV5gC
 XUKloeUj1wcKKQCgKnkSw/v/+XozdIQUlGhkh6VSTlghlq0nx7k2vKAhWI7SshgdUccFkgHHjSbD
 vEgaQZ14ISBSxdNyMksTnSPocO6cmbdDCyokkgTZgdRZnknPRARjAg0NJCJUQplHESyhWQvAtc+m
 gwPncJ1Fk8yw/GrHaLfgaKhZHG3uCJk1zy4rv05UySWijTbEYakk9UKZDcruHilZyTgRUgHqUlkQ
 06ZhoxiNQSFt39V5VM6mIk6gSonlllFs5IiMs8AzMYAiGsYaa6YzQRRnjOgkqA33QbpTQsAX0Oj8
 GQgVyBS5M0AWJoQ6z8wDJlF/1KsZhqRSNZeAJO54CBsVxw1NVQItJNfYddnRAZXAoq4WSGtUcoxE
 NtnedBFRROeGJTXQvCSCq9k0sR2HKDGaFGOgwWjLUGWKHAMG8nhXpHE8G/n1jilYy60OBqnIUKmR
 Hs88ogE24+lQKOwhnZQZO8aPJoOvv71b96zf+9IVncWcm6/d6f3+365XAv/FVe/iFxbXD2LJZddA
 RrVu2jns33WKbrklAVQONWKuQuEMnjw247FpmkpbZAa0kG2cHfdHqbbm5xuOjbVUuixMhPG/+dyq
 59rEtiAQuzPQLZ1UG0GzTqBWx/uP7z4uSj1jSCJZ8NyWKkpBaTj90TR0a6eXF4oSd+NUc16kkCG6
 uBDUK8btrpwKcLFJLtVNBbiW+MLq8uHh8W8+f9pm/NaxZTp45Db2QKU7HqeHhz5n97fHu72iyNiH
 mwdJf/JwZzgC9gQYhxJnwnzSO/YhvHGYb8zK5U7NQkDlseJaME1sAzHOnIqLNLm8oGlz4b+/eut3
 /3R9LrAvz9e+fLkd0NJrNV67xX68dVhnimNVyPxfPb0AiqOvfn19JvOKYVxrh9fPGzWVVdT0Rh8f
 TGa+Y1rSzMZpXvBXbmab42KvIFGSZhr//Yc7P/exj9Jevrm/2xPWRwP5ibP45oN0X8dZAZ9dqH1q
 xf7EsgU83wSS+s3f+uabv/M7/6LCDpfOQskktU0EFccKlZkqIZolBcu4DbGFkG1aoMiunm0HtvHF
 l6/bofmHt8e1K9faS4svvLj83n4XVOBT8/6didpM1aKDPrNamc74Vz997tGUv/LWEXJcA4DjQVwL
 a+1a+LibTOJUEHuSi6OMWapIJQ4c3Jqrf/fBwfPXF776q8+/s7V9usnDOvv0x8L3jvi5pfkf7Y6+
 dXfsV5tWPiPp9Na7G6/34vX1LcupGGFgVn1JrFhpCagQlrIaiEuAEFY5k0pICJQWnm8S2/74SvBv
 v3T97fWDv/jhnfSwTzYfN0m4aPKvXHQv15AHCqCJ4smF+cazQXl9jq9n9t44ZxKuNishFN1h9O7h
 CFACoJgP/LX5sB1WuEHNeuPq6hzUJBvGk0ePzoeNuaApSONCPXA0/+y8+s0XTv3Vg/3SrREEgIKH
 ZUoLtbnXBbOET0dyOmTDbXzcF0mJK03o+cQm2Kv5xLE0FFoIzUU8S1jCo8ngeGvdReSoF0225bgo
 S8yBYRWSXWhWm+02MWNsOrmO0rSsBl4iekx72sU70/IomtlOyJCAwAaSVRzj3cOjTKhqcxWdPiXT
 fFxsiXLg1WvI1rpRtebQUWKTwFethUsh+MQV+v5W95Ou5EoJ6lrE3BmkQOZiPMAcg7pvVOraQPng
 KB+OEHGtoNXQBpGAAmTkk0nUHxoGmR3sFvnMsX0LaYGBSeScgYxSulhdnacl0JV2PXTok4OhrLfr
 dX+xYrcD6jG1VjV+9ec/Ne8b00mmba8XtO4n6tTi8nxQaxJUxOn25gGG2g4Cszm/N51ww8RBgwEE
 ed4IzKBC72/s/PT+vmIaELo3zqUuRClUkQPHgYvLGONy3BO7G0Y6CywTWZabJTmUUJZlmmVSoGKa
 mRDYBVe2myTTlqudqmFa9tNry2fnKuuJvrRorTUQk6Jd9y+uPWUFeLcfUwJ9pDSCWyJ77e33ljtu
 UAm9i0t95fNZv6mLqDcpgPKrjblKxZSQYJuX0iZYI0MBSgCyqNFp+oPx8HM/+7TWWnl1PHfmmHsR
 Lx88OkLEMrQsezvZxpaVJ4CVkquyKAnFkHAeDXtMiDwrDEgsx5sUUc/sPDgqf+Xpi5+/1gaz3Yj7
 3377gXN99X7KPgOSOS0N7L+/fnj30aC7I2YZX/Fww7ZqGFGpDWDhlHWH0Y17o9u3N6+vLQhivXHQ
 Xzwzx0pmEEFNBzY6Vd/+1DOXbcCJLMvROBF4cypXli7/3//93V/+3HV7bRn6rYRvfOaZj7gS9Lny
 OROzgdVucSYMbFMlGTWQhIrxEkBNlQYI2e1Gdb5W89D/ufHkf/7wAx9kMBmkJfBDuHyq8z9urO/2
 MgcimRe2zJs2rrjoO+8rA9FnFgO3YkhH+YGTqbTZqlZC696DvWrDXTszZxnQVYBCDgdHva3H8/NV
 aiiZpMcHI5XH4viI69wGyjZQhQIvqL393gPo+73dLVXMfvuXr/qYbXcnyvTNuRUTEEJMqSUDAFoO
 QcgoitQAOBd5e3UVIRg9vHOcqf/wXHjUCV65NzxVQc8vu6Qamuz4H19pfmShWalySCnwqlcuNV7i
 wUvXqn/2w956YbwYNqaHm3lGZVl6RFFEV86dvzQv0py+v9MTQmfDATVxYQTDScz7x2VcTIdTMTZS
 YAWN05l42B3Olud8LtTi0gLAeJAKx3E2UufWfvpLL58yWxRAIrJMcRGPx9izDUTR4w/uFePpeDB1
 Ti8BYhzcu2tpWCWAMvzJJomTaLu0zHpdWPaj3vGZZvjSxzq1xVbYaEPfOIzjTsu7YJRf/eLKOI12
 nhyGBK00Kr/7T1/8lSveQqDeuLP1n15576g/ZFKXSo9om7fb8wtzFFgqyiwDMKF1daH2iRcLd9mx
 8NKpxTyVRZ6mZQF42TsYddqVCxW1OYg3NnbTfm/y6IP8ww90d9/MCpvQctxD7YprUgLDKiZo+OCB
 g4zg1AJ1TKEBtFizXlMaWpRQJ/iFFz5eFEXDkkPp3NueSWge9KM/efWnoNrUk1nTtKoIIid4+9Hx
 X7xxI5kwD6J3n+xsKyM8ey7XhmW7fsH1JEuSYvtgT0FVEDQToL56EQQV7HlRWQwOt4PFhSCs1JUA
 /WOeJfuH/e+9ue/JSSMr0ZMdGgE7tIVr2WfOsFmMxzPkWaZR81qn5tLugcVY4AdRUjoQ2RRW5upF
 kSORizQdjMd/+9aNpcWmNszX7w2zWhtAO8nLkqB4NtjaG+3NIhtqU7CKCx9N5cEo7oQYGmSpU1lb
 7jg2zaNxYlPXtSRnNWoaHGgBWvWmJFQqEZBcpcqwq/0cjtJi1WBgMlo/6M960eMPblK3+eZOr/RM
 WaGZdq36omRMT4ZIQoL8ilV12GhYDCbEJJ5vF9vbkzTyW2fD+bmS3fNt5Pieg+oaVViSsbT8u588
 +o1zc8XWQ0pcpWloO8RiaTLsT6dN6oaqQKqYP92eQ1ZtanUca7UCrlbAqwTDPMdY2Rhgx8oxdk6d
 a3WEjnv5TlmZps+unj42vWLzcNafXPu1Z1jdHBfqK8+vvvzc/B++uiVtCyxdcmsO5AWLeLS9SyaD
 PJGES1Xu9/PBkFrIqzeyTExSOCtRYc3/+U/WkWtdPlNBxFQ85Wy6x+YejnQ3Ftn+jt1Cns+fWvRx
 3cXuDGDMpB2j4qPznV+oXUjD6nyGkOibOGCzUfd4OldvzMOeGIOGpcajCNvO3kBtbu177jXTjaBD
 XvrM1e797Tf3jj5ypn72TBvxvDW32DjbFL699vT5V77zzj/55Ko12RXRMOtPlSqh5pZtkThJjKJ0
 O03LwACa+d7Du8fAs/A3vvX6h3n0tU9fe/q0qwz1X75+24D2K69t/NWbh0laOADe283ef5zRVPzl
 W8kXLzS+Y+3fGbDVpsNaoXjSX6x1rn30uUn9qf13bw7vPXqY5EmaRszHzcozS8F37yW///rxezd/
 +K//2edPkQM9wl/7g7fuxGNdUMtF/+0X1/Lbf7+T29/964dG/jOXanPf+8u33n+08dpr/OULIY0T
 5FomNbWiyvLh+u+9oJBsNWvD3V3LdN/aTqzOUidAchItrq0c9tK9rY2COs3QtkWZ6bLSWuofjpxi
 4AReRO151zAMNdkbI8eOcnbx4sI3v3+vce7s82v0dL36qX/37V87137549V//9PkzUfbr/36i0uL
 i9v9ftQboKBxxgOTnUfKaDbBuKst2/InBl7ybTKejrI4NXyODR8mrMhjq46aKyHlDUs0Q0unses6
 pWFSp0pMw5aARTuHiBUwDINOK54NjiJBEISbj8f9MU8Y0hFg7iRhql5Pn2zq6TR36WAUE5DuQDnX
 qm4nBR6Mrebi+kH0o63JVTKoirBz1bSBcXHB2Jjq7cP+Uq3yd7vsarF39PAxDTs03c0V6ooKMVkt
 MyYlE06O43hDMtdxmYFcImw5G5VKKiThQDzZ25NIA/xLP3vWssxEFdoQKsrh5n/9fJ5HjgHtdt02
 aHJwBCXTlgE4p4Ag29C5VkRZgZ9HU9MLyslEpUwFllmUQcXLhRSKm5AAO/Bq/tZhcje2ryzQ40R0
 ZocP9vmVZVk6i+vddKWGc9NqFZHDmbu2SAUaZtNqYy4+PjBjWaLS1CArmGthwkoVhFDaNOspagAN
 idBRkirHI62OHo8El0gTZGIpBNIU+2HFrDddx5tsH4Aij6Hz/jajgNzuGiPtKFR2e8kffG+Dc3Tc
 S3/wgO2XaDiZPe6p73zINSDTnE79DhNp1BvcenT43OVTRcnxcGyy8bMrwkLhEJClBfPGw6Q52EXZ
 VDbrx0Xt+zcHxF585W/WhRUKuzA0vNMF1GsA5T2IWkxTMR7fPEBPpuHjEf2t/9e/FbmkvVxETHGm
 lNAESCWyvEQGE2V/hPMi6Y5UlJpO8JODZENh3HI2k7KUyvfDeq12o5/1Unp7J9kaTRwEXN/j2Piz
 G4d3DpIf3en/4GYXzOL4cPjGRoH4sdje/5vbh7PC9wucAv3N79/t5PKdvd1vPVBFXvK93T/641en
 vJgc7MTQevx4TEe5CoNv3Bj+9eboTpx9451No1kHpPhgFG1KFZ6f+/ILzy8/swYNYRYDExq+XzGI
 wROGDRNNowSYpjRwlifMN0gzOF33768n/+vH0bNN1HFBFCWQp3/0hfNTolZc49efW6n5jtJkuUW/
 8nPnXr8/fO7Fn7k+74ict06fhkjnB8P2Wvtzq3Xf0pFGMKgvN1ylJ3XLw1QFnmE1QrPhXZhzW6Fv
 qeLxXje1Xde1/+OXrzzYiYnth74jMkYcz2nUnhRGpdF+amnWIJopDYMq9CwpmIpnBsJerYLSwXTU
 7e8+2uDDoW3ZSINLPv+Xz3hVWPzJrVFSIKili3DdSVWmx3lKYGq7tGlQ6FjXlvwRCt/Zmy63TbNe
 KykcHk94owK6k3e3u/1EG5asWuDljzR7ffjG7vBLV894gU8q9ZcuzJ11JYIAExrUQzvwWSlRkfzG
 F5ZXl1r1qgs1kJAK07l1827ycJvu7qu9fTCcgDgVjOucC4PShSbDAC2tdM5dOXv+0rnKyqmgWp11
 e+9ujt7dmDz/VD2bZb1U6EJJxbSAm6O0oLYBUZHNDMFzRWcz9bXPLvzpDz74/s0DlsSyzCZlBobZ
 9kT2JHJNgC0D2LXX39lbPut/8amFnGUkrCKlf/xw/2bmi6A55Wqh7hgEizz79k+OGeOsO9zYO0r6
 QyGg5ODlc6cgFT/elVOJiWI8L1GcMoTttTVd862Kh3/7F9fMwASIpEmGBLOEwJ5NDa+FE6fZuTJn
 ZeMRxYbSPMrRnCGX6g7SghfFRBNO1EWzXArCwHNXz9eNoN5y/SUwPUp0zbb+UV3brTY39EJIWTJc
 rvv3D+LLK0F83Fs6vUQqYVuOkknxdJPi8YTHcVLC0zQzeeZSv0NmZugakp2r43GU/WiXna3adSIR
 U5IaxukFatsYcFiW8I//+cexgbI4Y0lsOSYRkotSQyIEo54nmSJCUgQ0FxJoapkYk5IXQGjUqCKK
 4CCRKrE7K9H4kDgVPRpiwZFXVSIvi9xqLoh8MomywzGXBJ9dWgzVjBeliUlhOTRNCCSAcwUB14bE
 JWfKNSkSWlQCq15DLGd5XnDth1VVRKzUkJXSsby5jixyxApdsJOfP3HixIkTJ06cOHHixD9Y/x9U
 kiM+mQRO1QAAAABJRU5ErkJggg==

## bermudasyndrome 0.1.4.1

=== debian/changelog ===
bermudasyndrome (0.1.4.1) unstable; urgency=low

  * Fixed save

 -- sakya <sakya_tg@yahoo.it>  Wed,  13 Apr 2012 21:38:12 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

#GAME_VERSION := $(shell head debian/changelog -n1 | sed -n 's/.* (\(.*\)) .*/\1/p')
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) -f Makefile.maemo
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	$(MAKE) -f Makefile.maemo clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	cp data/bermuda.png debian/bermudasyndrome/usr/share/icons/hicolor/64x64/apps/
	cp data/bermuda.desktop debian/bermudasyndrome/usr/share/applications/hildon/

	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	#dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	#maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bermudasyndrome 0.1.4.2

=== debian/changelog ===
bermudasyndrome (0.1.4.2) unstable; urgency=low

  * Added notification
  * Change save slot with T/Y

 -- sakya <sakya_tg@yahoo.it>  Sat,  14 Apr 2012 11:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Paolo Iommarini <sakya_tg@yahoo.it>
-Build-Depends: debhelper (>= 5), libsdl1.2-dev, libz-dev
+Build-Depends: debhelper (>= 5), libsdl1.2-dev, libz-dev, libosso-dev, libdbus-1-dev
 Standards-Version: 3.7.3
 
 Package: bermudasyndrome
